#include <bits/stdc++.h>
using namespace std;

unsigned broj_karata, broj_na_gornjoj_karti, brojevi_na_kartama[20000], resenje;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	cin>>broj_karata>>broj_na_gornjoj_karti;
	for(int i=0; i<broj_karata; i++){
		cin>>brojevi_na_kartama[i];
	}
	for(int i=0; i<broj_karata; i++){
		if(broj_na_gornjoj_karti==brojevi_na_kartama[broj_karata-1]){
			resenje=brojevi_na_kartama[0];
		}
		else if(broj_na_gornjoj_karti==brojevi_na_kartama[i]){
				resenje=brojevi_na_kartama[i+1];
			}
	}
	cout<<resenje;
	return 0;
}